ON_Annotation2Text Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h>`

Inheritance diagram for ON_Annotation2Text:

## Public Member Functions

| ON_Annotation2Text ()
| ~ON_Annotation2Text ()
ON_Annotation2Text & | operator= (const char *)
ON_Annotation2Text & | operator= (const wchar_t *)
void | SetText (const char *s)
void | SetText (const wchar_t *s)
Public Member Functions inherited from ON_wString
| ON_wString ()
| ON_wString (const ON_wString &)
| ON_wString (const ON_String &src)
| ON_wString (const char *src)
| ON_wString (const char *src, int)
| ON_wString (char, int=1)
| ON_wString (const unsigned char *src)
| ON_wString (const unsigned char *src, int)
| ON_wString (unsigned char, int=1)
| ON_wString (const wchar_t *)
| ON_wString (const wchar_t *, int)
| ON_wString (wchar_t, int=1)
void | Create ()
void | Destroy ()
void | EmergencyDestroy ()
void | EnableReferenceCounting (bool bEnable)
bool | IsReferenceCounted () const
int | Length () const
bool | IsEmpty () const
void | Empty ()
wchar_t & | operator[] (int)
wchar_t | operator[] (int) const
wchar_t | GetAt (int) const
void | SetAt (int, char)
void | SetAt (int, unsigned char)
void | SetAt (int, wchar_t)
| operator const wchar_t * () const
const ON_wString & | operator= (const ON_wString &)
const ON_wString & | operator= (const ON_String &src)
const ON_wString & | operator= (char)
const ON_wString & | operator= (const char *src)
const ON_wString & | operator= (unsigned char)
const ON_wString & | operator= (const unsigned char *src)
const ON_wString & | operator= (wchar_t)
const ON_wString & | operator= (const wchar_t *)
void | Append (const char *sUTF8, int)
void | Append (const unsigned char *sUTF8, int)
void | Append (const wchar_t *, int)
const ON_wString & | operator+= (const ON_wString &)
const ON_wString & | operator+= (const ON_String &sUTF8)
const ON_wString & | operator+= (char)
const ON_wString & | operator+= (unsigned char)
const ON_wString & | operator+= (wchar_t)
const ON_wString & | operator+= (const char *sUTF8)
const ON_wString & | operator+= (const unsigned char *sUTF8)
const ON_wString & | operator+= (const wchar_t *)
ON_wString | operator+ (const ON_wString &) const
ON_wString | operator+ (const ON_String &sUTF8) const
ON_wString | operator+ (char) const
ON_wString | operator+ (unsigned char) const
ON_wString | operator+ (wchar_t) const
ON_wString | operator+ (const char *sUTF8) const
ON_wString | operator+ (const unsigned char *sUTF8) const
ON_wString | operator+ (const wchar_t *) const
bool | operator== (const ON_wString &) const
bool | operator== (const wchar_t *) const
bool | operator!= (const ON_wString &) const
bool | operator!= (const wchar_t *) const
bool | operator< (const ON_wString &) const
bool | operator< (const wchar_t *) const
bool | operator> (const ON_wString &) const
bool | operator> (const wchar_t *) const
bool | operator<= (const ON_wString &) const
bool | operator<= (const wchar_t *) const
bool | operator>= (const ON_wString &) const
bool | operator>= (const wchar_t *) const
int | Compare (const char *sUTF8) const
int | Compare (const unsigned char *sUTF8) const
int | Compare (const wchar_t *) const
int | CompareNoCase (const char *sUTF8) const
int | CompareNoCase (const unsigned char *sUTF8) const
int | CompareNoCase (const wchar_t *) const
bool | WildCardMatch (const wchar_t *) const
bool | WildCardMatchNoCase (const wchar_t *) const
int | Replace (const wchar_t *token1, const wchar_t *token2)
int | Replace (wchar_t token1, wchar_t token2)
void | UrlEncode ()
bool | UrlDecode ()
int | ReplaceWhiteSpace (wchar_t token, const wchar_t *whitespace=0)
int | RemoveWhiteSpace (const wchar_t *whitespace=0)
ON_wString | Mid (int, int) const
ON_wString | Mid (int) const
ON_wString | Left (int) const
ON_wString | Right (int) const
void | MakeUpper ()
void | MakeLower ()
void | MakeReverse ()
void | TrimLeft (const wchar_t *=NULL)
void | TrimRight (const wchar_t *=NULL)
void | TrimLeftAndRight (const wchar_t *=NULL)
int | Remove (wchar_t c)
int | Find (char) const
int | Find (unsigned char) const
int | Find (wchar_t) const
int | ReverseFind (char) const
int | ReverseFind (unsigned char) const
int | ReverseFind (wchar_t) const
int | Find (const char *) const
int | Find (const unsigned char *) const
int | Find (const wchar_t *) const
void ON_MSC_CDECL | Format (const char *,...)
void ON_MSC_CDECL | Format (const unsigned char *,...)
void ON_MSC_CDECL | Format (const wchar_t *,...)
void | ReserveArray (std::size_t)
void | ShrinkArray ()
void | SetLength (std::size_t)
wchar_t * | Array ()
const wchar_t * | Array () const
unsigned int | SizeOf () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON__UINT32 | DataCRCLower (ON__UINT32 current_remainder) const
| ~ON_wString ()

## Public Attributes

ON_RECT | m_rect

## Additional Inherited Members

Static Public Member Functions inherited from ON_wString
static void | SplitPath (const char *path, ON_wString *drive, ON_wString *dir, ON_wString *fname, ON_wString *ext)
static void | SplitPath (const wchar_t *path, ON_wString *drive, ON_wString *dir, ON_wString *fname, ON_wString *ext)
Protected Member Functions inherited from ON_wString
struct ON_wStringHeader * | Header () const
void | CreateArray (int)
void | CopyArray ()
void | CopyToArray (const ON_wString &)
void | CopyToArray (int, const char *)
void | CopyToArray (int, const unsigned char *)
void | CopyToArray (int, const wchar_t *)
void | AppendToArray (const ON_wString &)
void | AppendToArray (int, const char *)
void | AppendToArray (int, const unsigned char *)
void | AppendToArray (int, const wchar_t *)
Static Protected Member Functions inherited from ON_wString
static int | Length (const char *)
static int | Length (const unsigned char *)
static int | Length (const wchar_t *)
Protected Attributes inherited from ON_wString
wchar_t * | m_s

## Detailed Description

Definition at line 36 of file opennurbs_annotation2.h.

## Constructor & Destructor Documentation

## ON_Annotation2Text()

ON_Annotation2Text::ON_Annotation2Text | ( |  | ) |

## ~ON_Annotation2Text()

ON_Annotation2Text::~ON_Annotation2Text | ( |  | ) |

## Member Function Documentation

## operator=() [1/2]

ON_Annotation2Text& ON_Annotation2Text::operator= | ( | const char * |  | ) |

## operator=() [2/2]

ON_Annotation2Text& ON_Annotation2Text::operator= | ( | const wchar_t * |  | ) |

## SetText() [1/2]

void ON_Annotation2Text::SetText | ( | const char * | s | ) |

## SetText() [2/2]

void ON_Annotation2Text::SetText | ( | const wchar_t * | s | ) |

## Member Data Documentation

## m_rect

ON_RECT ON_Annotation2Text::m_rect

Definition at line 80 of file opennurbs_annotation2.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h